View Issue Details

IDProjectCategoryView StatusLast Update
0002159FreeCADBugpublic2015-12-15 13:17
ReporterpfirsztAssigned Toyorik 
PrioritylowSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSFedoraOS Version21
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002159: Crash with DIV/0 exception
DescriptionFreeCAD throws ZeroDivisionError when trying to extrude face in Draft wb
Steps To Reproduce1. Open new model
2. Switch to Draft wb
3. Create rectangle
4. Click Trim/extend/extrude face
5. Type 10 mm as dimension

Report View/terminal window show:
Traceback (most recent call last):
  File "/home/przemo/fedora/FreeCAD/build/Mod/Draft/DraftTools.py", line 2762, in action
    dist = self.extrude(self.shift)
  File "/home/przemo/fedora/FreeCAD/build/Mod/Draft/DraftTools.py", line 2786, in extrude
    ratio = self.force/delta.Length
ZeroDivisionError: float division by zero
<type 'exceptions.ZeroDivisionError'>
Additional InformationOS: Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5099 (Git)
Build type: Unknown
Branch: master
Hash: f99fd100e6e46b0df5b43ad94161c2be80277fe7
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 3.1.3
OCC version: 6.7.1.oce-0.16
TagsNo tags attached.

Activities

yorik

2015-08-05 02:59

administrator   ~0006277

No crash for me... But I added a little fix that should solve the problem anyway.

Related Changesets

FreeCAD: master 192dca36

2015-08-05 04:58:46

yorik

Details Diff
Draft: small bugfix - fixes 0002159 Affected Issues
0002159
mod - src/Mod/Draft/DraftTools.py Diff File

Issue History

Date Modified Username Field Change
2015-06-15 12:11 pfirszt New Issue
2015-08-05 02:59 yorik Changeset attached => FreeCAD Master master 192dca36
2015-08-05 02:59 yorik Assigned To => yorik
2015-08-05 02:59 yorik Status new => closed
2015-08-05 02:59 yorik Resolution open => fixed
2015-08-05 02:59 yorik Note Added: 0006277
2015-12-15 13:17 yorik Fixed in Version => 0.16